## oce 0.17.1

=== CMakeLists.txt ===
# REQUIREMENTS: this script needs CMake 2.8 or higher. Downloads are available at http://www.cmake.org

# How to build OCE using CMake under Unix (Linux, Darwin etc.)?
# 1. Copy this file, as-is, to the top-level OCE folder
# 2. Make a build directory somewhere outside the OCE source tree
# 3. cmake "relative/path/to/OCE"
# 4. make
# 5. make install (or sudo make install)

# How to build OCE using CMake under Windows (Linux, Darwin etc.)?
# 1. Copy this file, as-is, to the top-level folder
# 2. Launch the cmake-gui, and select the top-level folder
# 3. You can choose whatever you want as an install directory
# 4. Click 'Configure'
# 5. Choose your generator
# 6. When configure is achived, you can change the variable with a red background
# 7. Click 'Generate'
# 8. From your IDE, open the generated makefile and run the compilation.

project(OCE)

set(OCE_VERSION_MAJOR 0)
set(OCE_VERSION_MINOR 17)
# OCE_VERSION_PATCH is used for bugfixes releases only
# (uncomment following line)
set(OCE_VERSION_PATCH 1)
#  Empty for official releases, set to -dev, -rc1, etc for development releases
set(OCE_VERSION_DEVEL)

# bugfix release: add ${OCE_VERSION_PATCH} to OCE_VERSION
set(OCE_VERSION ${OCE_VERSION_MAJOR}.${OCE_VERSION_MINOR}${OCE_VERSION_DEVEL})

set(OCE_ABI_SOVERSION 10)
set(OCE_ABI_VERSION ${OCE_ABI_SOVERSION}.0.0)

# Set the minimum version of cmake required to 2.6
cmake_minimum_required( VERSION 2.6 )

# Policy CMP0043 introduced in cmake version 3.0 IGNORES the use of COMPILE_DEFINITIONS suffixed variables, e.g. COMPILE_DEFINITIONS_DEBUG
# Set to OLD behavior until minimum cmake version >= 2.8.10 (version that COMPILE_DEFINITIONS can be set by generator expressions instead)
if (POLICY CMP0043)
	cmake_policy(SET CMP0043 OLD)
endif (POLICY CMP0043)
# Policy CMP0042 introduced in cmake version 3.0 enables the use of @rpath in an install name via MACOSX_RPATH by default
# Set to OLD behavior so that all versions use the same behavior, or until minimum cmake version >= 2.8.12 (version where @rpath is available)
if (POLICY CMP0042)
	cmake_policy(SET CMP0042 OLD)
endif (POLICY CMP0042)

# Define helper macro option_with_default
macro( option_with_default OPTION_NAME OPTION_STRING OPTION_DEFAULT )
	if( NOT DEFINED ${OPTION_NAME} )
		set( ${OPTION_NAME} ${OPTION_DEFAULT} )
	endif( NOT DEFINED ${OPTION_NAME} )
	option( ${OPTION_NAME} "${OPTION_STRING}" ${${OPTION_NAME}} )
endmacro( option_with_default OPTION_NAME OPTION_STRING OPTION_DEFAULT )

############################
# Check 32/64 bit platform #
############################
if (${CMAKE_SIZEOF_VOID_P} MATCHES "8") # It is 64bit, otherwise 32 bit systems match 4
	add_definitions(-D_OCC64)
	set(BIT 64)
else (${CMAKE_SIZEOF_VOID_P} MATCHES "8")
	set(BIT 32)
endif(${CMAKE_SIZEOF_VOID_P} MATCHES "8")

message(STATUS "Build ${BIT}bit")

if(NOT CMAKE_CONFIGURATION_TYPES)
	if(CMAKE_BUILD_TYPE STREQUAL "")
		set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the build type." FORCE)
		set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Release" "Debug" "RelWithDebInfo" "MinSizeRel")
	endif(CMAKE_BUILD_TYPE STREQUAL "")
endif(NOT CMAKE_CONFIGURATION_TYPES)

if(CMAKE_BUILD_TOOL STREQUAL "nmake")
	set(NMAKE TRUE)
endif(CMAKE_BUILD_TOOL STREQUAL "nmake")

if(MSVC)
	option_with_default( OCE_INSTALL_PDB_FILES "Install PDB files (debug informations)" ON )
	option_with_default( OCE_MULTITHREADED_BUILD "Multithreaded build (/MP Option)" ON )
endif(MSVC)

if(MINGW)
	option_with_default( OCE_INSTALL_PRIVATE_SAMEDIR "Install private DLLs in the same binary directory" OFF )
endif(MINGW)

############################
# Library name definitions #
############################

if(MSVC)
	set( OCE_LIBRARY_PREFIX "" )
	set( CMAKE_DEBUG_POSTFIX "d" )
else(MSVC)
	set( OCE_LIBRARY_PREFIX "lib" )
endif(MSVC)


if(APPLE)
	if(OCE_NO_LIBRARY_VERSION)
		set( OCE_LIBRARY_EXTENSION ${CMAKE_SHARED_LIBRARY_SUFFIX} )
	else(OCE_NO_LIBRARY_VERSION)
		set( OCE_LIBRARY_EXTENSION ".${OCE_ABI_SOVERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}" )
	endif(OCE_NO_LIBRARY_VERSION)
elseif(WIN32)
	# Don't encode library versions on Windows systems
	set( OCE_LIBRARY_EXTENSION ${CMAKE_SHARED_LIBRARY_SUFFIX} )
else()
	if(OCE_NO_LIBRARY_VERSION)
		set( OCE_LIBRARY_EXTENSION ${CMAKE_SHARED_LIBRARY_SUFFIX} )
	else(OCE_NO_LIBRARY_VERSION)
		set( OCE_LIBRARY_EXTENSION "${CMAKE_SHARED_LIBRARY_SUFFIX}.${OCE_ABI_SOVERSION}" )
	endif(OCE_NO_LIBRARY_VERSION)
endif()

if(BORLAND)
	option_with_default( OCE_INSTALL_TDS_FILES "Instal TDS files (debug informations)" ON )
endif(BORLAND)

if(WIN32)
	option_with_default( OCE_AUTOINSTALL_DEPENDENT_LIBS "Autoinstall dependent DLLs" ON )
	mark_as_advanced(OCE_AUTOINSTALL_DEPENDENT_LIBS)
endif()

if ((MSVC AND NOT NMAKE) OR CMAKE_COMPILER_IS_GNUCXX)
	set(OCE_COMPILER_SUPPORTS_PCH TRUE)
	if(MSVC)
		option_with_default( OCE_USE_PCH "Use Precompiled Headers" ON )
	else()
		option_with_default( OCE_USE_PCH "Use Precompiled Headers" OFF )
	endif()
	mark_as_advanced(OCE_USE_PCH)
endif((MSVC AND NOT NMAKE) OR CMAKE_COMPILER_IS_GNUCXX)

option_with_default( OCE_BUILD_SHARED_LIB "Build shared OCE libs" ON )
if(APPLE)
	option_with_default( OCE_OSX_USE_COCOA "Use native OSX Cocoa backend" ON )
endif(APPLE)
if(NOT MSVC AND NOT OCE_OSX_USE_COCOA)
	option_with_default( OCE_DISABLE_X11 "Disable components requiring X11 support" OFF )
	if(NOT APPLE AND NOT WIN32)
		mark_as_advanced(OCE_DISABLE_X11)
	endif(NOT APPLE AND NOT WIN32)
endif(NOT MSVC AND NOT OCE_OSX_USE_COCOA)
option_with_default( OCE_MODEL "Build model components" ON )
option_with_default( OCE_OCAF "Build application framework" ON )
option_with_default( OCE_DATAEXCHANGE "Build data exchange" ON )
option_with_default( OCE_DRAW "Build test harness \(DRAW\)" OFF )
option_with_default( OCE_VISUALISATION "Build visualisation component" ON )
option_with_default( OCE_WITH_OPENCL "OpenCL support for shaders and raytracing" OFF )
option_with_default( OCE_WITH_GL2PS "Build with GL2PS" OFF )
option_with_default( OCE_WITH_FREEIMAGE "Build with FreeImage" OFF )
option_with_default( OCE_WITH_VTK "Build with VTK" OFF )
option_with_default( OCE_DISABLE_TKSERVICE_FONT "Disable TKService Font (only without Visualization)" OFF )
mark_as_advanced(OCE_DISABLE_TKSERVICE_FONT)
if(NOT WIN32)
  option_with_default( OCE_BUILD_TKERNEL_WITH_INSTALL_RPATH "Build TKernel with install RPATH" ON )
  mark_as_advanced(OCE_BUILD_TKERNEL_WITH_INSTALL_RPATH)
endif()
option_with_default( OCE_EXTRA_WARNINGS "Enable Maximum Warnings Level" OFF )
mark_as_advanced(OCE_EXTRA_WARNINGS)
if( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )
	option_with_default( OCE_TESTING "Enable unittesting framework" ON )
endif( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )
option_with_default( OCE_ADD_HEADERS "Add headers to project files" OFF )
mark_as_advanced(OCE_ADD_HEADERS)
if (NOT WIN32)
	option_with_default( OCE_RPATH_FILTER_SYSTEM_PATHS "Filter out system paths from RPATH" ON )
	mark_as_advanced(OCE_RPATH_FILTER_SYSTEM_PATHS)
endif (NOT WIN32)
# When building OCE as part of another application, it may be useful to copy
# header files in a temporary location so that dependent applications can be built
option_with_default( OCE_COPY_HEADERS_BUILD "Copy header files when building OCE" OFF )

option_with_default( OCE_USE_TCL_TEST_FRAMEWORK "Add occt-tests target" OFF )

#
# By default, OSX uses X11 OpenGl implementation
#
if (APPLE)
	if (NOT OCE_OSX_USE_COCOA)
		set(MACOSX_USE_GLX TRUE)
	endif(NOT OCE_OSX_USE_COCOA)
endif(APPLE)
# The default for the OCCT_DEBUG define is ON for all the platforms , in debug mode.
# In MSVC it is not desirable to have it ON by default, since users must
# compile/use the OCE debug libraries to build it's own programs in DEBUG mode.
# OCCT_DEBUG should be enabled by developers only, in this case
if ((MSVC OR BORLAND) AND CMAKE_CONFIGURATION_TYPES)
	set (DEB_DEFAULT "OFF")
else ()
	set (DEB_DEFAULT "ON")
endif ((MSVC OR BORLAND) AND CMAKE_CONFIGURATION_TYPES)

option_with_default( OCE_ENABLE_DEB_FLAG "Enables OCCT_DEBUG define in debug configuration" ${DEB_DEFAULT} )
mark_as_advanced(OCE_ENABLE_DEB_FLAG)

if(NOT MSVC)
	option_with_default( OCE_COVERAGE "Build with coverage testing" OFF )
	mark_as_advanced(OCE_COVERAGE)
	if(OCE_COVERAGE)
		set( CMAKE_BUILD_TYPE "Debug" CACHE INTERNAL "Build type, immutable" FORCE )
	endif(OCE_COVERAGE)
endif(NOT MSVC)

if( NOT DEFINED OCE_MULTITHREAD_LIBRARY)
	set( OCE_MULTITHREAD_LIBRARY "NONE" CACHE STRING "(values are: NONE TBB OPENMP)" )
endif( NOT DEFINED OCE_MULTITHREAD_LIBRARY)

if (${CMAKE_VERSION} VERSION_GREATER 2.8)
	set_property(CACHE OCE_MULTITHREAD_LIBRARY PROPERTY STRINGS NONE TBB OPENMP)
endif (${CMAKE_VERSION} VERSION_GREATER 2.8)

option( OCE_MULTITHREAD_LIBRARY "Multithread library" ${OCE_MULTITHREAD_LIBRARY} )

if( OCE_MULTITHREAD_LIBRARY STREQUAL "TBB" )
	option_with_default( OCE_TBB_MALLOC_SUPPORT "Use TBB for memory allocation" ON )
endif( OCE_MULTITHREAD_LIBRARY STREQUAL "TBB" )

if( OCE_USE_TCL_TEST_FRAMEWORK )
	set( tcl_test_groups 3rdparty;blend;boolean;bugs;caf;chamfer;de;demo;draft;feat;geometry;heal;mesh;mkface;nproject;offset;perf;pipe;prism;sewing;thrusection;v3d;xcaf;xml )
	if( NOT DEFINED OCE_TCL_TEST_GROUP)
		set( OCE_TCL_TEST_GROUP "ALL" CACHE STRING "Group of OCCT test packages to run (values are: ALL;${tcl_test_groups})" )
	endif( NOT DEFINED OCE_TCL_TEST_GROUP)
	mark_as_advanced(OCE_TCL_TEST_GROUP)
	if (${CMAKE_VERSION} VERSION_GREATER 2.8)
		set_property(CACHE OCE_TCL_TEST_GROUP PROPERTY STRINGS "ALL;${tcl_test_groups}")
	endif (${CMAKE_VERSION} VERSION_GREATER 2.8)
endif( OCE_USE_TCL_TEST_FRAMEWORK )

if( NOT DEFINED OCE_INSTALL_PREFIX )
	if( WIN32 )
		set(OCE_INSTALL_PREFIX
			"c:/OCE-${OCE_VERSION}")
	else( WIN32 )
		set(OCE_INSTALL_PREFIX
			"/usr/local")
	endif( WIN32 )
endif( NOT DEFINED OCE_INSTALL_PREFIX )

set( OCE_INSTALL_PREFIX ${OCE_INSTALL_PREFIX} CACHE
	PATH "Install prefix prepended to target to create install location" )
set( CMAKE_INSTALL_PREFIX "${OCE_INSTALL_PREFIX}" CACHE INTERNAL "Prefix
	prepended to install directories if target destination is not absolute,
	immutable" FORCE )

if( OCE_BUILD_SHARED_LIB )
	set( OCE_LIBRARY_TYPE SHARED )
	set( OCE_BUILD_STATIC_LIB FALSE )
else( OCE_BUILD_SHARED_LIB )
	set( OCE_LIBRARY_TYPE STATIC )
	set( OCE_BUILD_STATIC_LIB TRUE )
	if ( WIN32 )
		add_definitions("-DHAVE_NO_DLL")
	endif( WIN32 )
endif( OCE_BUILD_SHARED_LIB )

# MSVC specific options
if(MSVC_IDE)
	if (NOT DEFINED OCE_USE_MSVC_EXPRESS )
		set (OCE_USE_MSVC_EXPRESS OFF)
	endif (NOT DEFINED OCE_USE_MSVC_EXPRESS)
	option( OCE_USE_MSVC_EXPRESS "Use a Visual C++ express IDE"
		${OCE_USE_MSVC_EXPRESS} )

	if(NOT OCE_USE_MSVC_EXPRESS)
		#Use solution folders.
		set_property(GLOBAL PROPERTY USE_FOLDERS ON)
		set(USE_SOLUTION_FOLDERS TRUE)
	else( NOT OCE_USE_MSVC_EXPRESS)
		set_property(GLOBAL PROPERTY USE_FOLDERS OFF)
	endif( NOT OCE_USE_MSVC_EXPRESS)

	option( OCE_USE_STATIC_MSVC_RUNTIME "Use static version of the MSVC run-time library" OFF )
	mark_as_advanced( OCE_USE_STATIC_MSVC_RUNTIME )
endif(MSVC_IDE)

set_directory_properties(PROPERTIES COMPILE_DEFINITIONS_RELEASE NDEBUG)
set_directory_properties(PROPERTIES COMPILE_DEFINITIONS_MINSIZEREL NDEBUG)
set_directory_properties(PROPERTIES COMPILE_DEFINITIONS_RELWITHDEBINFO  NDEBUG)

if(OCE_ENABLE_DEB_FLAG)
	set_directory_properties(PROPERTIES COMPILE_DEFINITIONS_DEBUG "OCCT_DEBUG=1;_DEBUG")
else ()
	set_directory_properties(PROPERTIES COMPILE_DEFINITIONS_DEBUG "_DEBUG")
endif (OCE_ENABLE_DEB_FLAG)

if(OCE_MULTITHREAD_LIBRARY STREQUAL "NONE")
    add_definitions(-DIGNORE_NO_ATOMICS)
endif (OCE_MULTITHREAD_LIBRARY STREQUAL "NONE")

#  Make OCE version visible to OCC_VERSION_STRING_EXT
set(OCC_VERSION_DEVELOPMENT oce-${OCE_VERSION})

#
# Check components dependencies
#
set(OCE_FOUNDATION TRUE)
if(OCE_OCAF OR OCE_DATAEXCHANGE OR OCE_VISUALISATION OR OCE_DRAW)
	set(OCE_VISU_DEP TRUE)
else(OCE_OCAF OR OCE_DATAEXCHANGE OR OCE_VISUALISATION OR OCE_DRAW)
	set(OCE_VISU_DEP FALSE)

=== test/BRepMesh_test/CMakeLists.txt ===
if (OCE_MODEL)
	add_oce_test(BRepMesh_test "TKernel;TKBRep;TKMath;TKTopAlgo;TKPrim;TKMesh")
endif (OCE_MODEL)

=== test/OCAFExport_test/CMakeLists.txt ===
if (OCE_OCAF AND NOT OCE_DISABLE_X11)
	# This test will dlopen FWOSPlugin and TKBin, we link against them to ensure that
	# libraries from the build tree are used.
	add_oce_test(OCAFExport_test "TKCAF;FWOSPlugin;TKBin")
	file(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../src/StdResource" BuildPluginDir)
	# Semi-colon is a delimiter in SET_TESTS_PROPERTIES and have to be escaped
	string(REPLACE ";" "\\;" BuildPluginDir "${BuildPluginDir}")
	set_tests_properties(OCAFExportTestSuite.testExportAscii PROPERTIES ENVIRONMENT "CSF_PluginDefaults=${BuildPluginDir};CSF_StandardDefaults=${BuildPluginDir}")
	set_tests_properties(OCAFExportTestSuite.testExportNonAscii PROPERTIES ENVIRONMENT "CSF_PluginDefaults=${BuildPluginDir};CSF_StandardDefaults=${BuildPluginDir}")
endif ()

=== test/gtest_sandbox/CMakeLists.txt ===
add_oce_test(sandbox "")

=== adm/cmake/TKFillet/CMakeLists.txt ===
set(TOOLKIT TKFillet)

set(TOOLKIT_MODULES
	ChFiDS
	ChFi2d
	ChFi3d
	ChFiKPart
	Blend
	BRepBlend
	BlendFunc
	BRepFilletAPI
	FilletSurf
)
set(TOOLKIT_DEPENDS
	TKBRep
	TKernel
	TKMath
	TKGeomBase
	TKGeomAlgo
	TKG2d
	TKTopAlgo
	TKG3d
	TKBool
	TKShHealing
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKG2d/CMakeLists.txt ===
set(TOOLKIT TKG2d)

set(TOOLKIT_MODULES
	Geom2d
	LProp
	TColGeom2d
	Adaptor2d
	Geom2dLProp
	Geom2dAdaptor
	GProp
)
set(TOOLKIT_DEPENDS
	TKernel
	TKMath
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKHLR/CMakeLists.txt ===
set(TOOLKIT TKHLR)

set(TOOLKIT_MODULES
	HLRTopoBRep
	HLRBRep
	HLRAlgo
	HLRAppli
	Intrv
	TopBas
	TopCnx
	Contap
)
set(TOOLKIT_DEPENDS
	TKBRep
	TKernel
	TKMath
	TKGeomBase
	TKG2d
	TKG3d
	TKGeomAlgo
	TKTopAlgo
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKMath/CMakeLists.txt ===
set(TOOLKIT TKMath)

set(TOOLKIT_MODULES
	math
	ElCLib
	ElSLib
	BSplCLib
	BSplSLib
	PLib
	Precision
	GeomAbs
	Poly
	CSLib
	Convert
	Bnd
	BVH
	gp
	TColgp
	TopLoc
	Expr
	ExprIntrp
)
set(TOOLKIT_DEPENDS
	TKernel
)

if(OCE_MULTITHREAD_LIBRARY STREQUAL "TBB" AND TBB_INCLUDE_DIR AND TBB_LIBRARY)
	add_definitions(-DHAVE_TBB)
	set(TOOLKIT_INCLUDE_DIRECTORIES ${TBB_INCLUDE_DIR})
	if(CMAKE_CONFIGURATION_TYPES OR NMAKE)
		set(TOOLKIT_LIBS_DEBUG ${TBB_LIBRARY_DEBUG})
		set(TOOLKIT_LIBS_OPTIMIZED ${TBB_LIBRARY})
	else(CMAKE_CONFIGURATION_TYPES OR NMAKE)
		set(TOOLKIT_LIBS ${TBB_LIBRARY})
	endif(CMAKE_CONFIGURATION_TYPES OR NMAKE)
endif(OCE_MULTITHREAD_LIBRARY STREQUAL "TBB" AND TBB_INCLUDE_DIR AND TBB_LIBRARY)

include(../BuildToolkit.cmake)

=== adm/cmake/TKNIS/CMakeLists.txt ===
set(TOOLKIT TKNIS)

set(TOOLKIT_MODULES
	NIS
)
set(TOOLKIT_DEPENDS
	TKBRep
	TKV3d
	TKMath
	TKernel
	TKService
	TKG2d
	TKG3d
	TKMesh
	TKOpenGl
)
set(TOOLKIT_LIBS ${OPENGL_LIBRARIES})
set(TOOLKIT_INCLUDE_DIRECTORIES ${OPENGL_INCLUDE_DIR})

include(../BuildToolkit.cmake)

=== adm/cmake/TKPShape/CMakeLists.txt ===
set(TOOLKIT TKPShape)

set(TOOLKIT_MODULES
	PBRep
	PTopoDS
	PGeom
	PGeom2d
	PPoly
	PColgp
	PTopLoc
	PColPGeom
	PColPGeom2d
	MgtBRep
	MgtGeom
	MgtGeom2d
	MgtPoly
	MgtTopLoc
	MgtTopoDS
)
set(TOOLKIT_DEPENDS
	TKMath
	TKernel
	TKG2d
	TKG3d
	PTKernel
	TKBRep
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKStdLSchema/CMakeLists.txt ===
set(TOOLKIT TKStdLSchema)

set(TOOLKIT_MODULES
	StdLSchema
	StdLDrivers
)
set(TOOLKIT_DEPENDS
	TKCDF
	PTKernel
	TKernel
	TKShapeSchema
	TKLCAF
	TKPLCAF
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKTopAlgo/CMakeLists.txt ===
set(TOOLKIT TKTopAlgo)

set(TOOLKIT_MODULES
	IntCurvesFace
	MAT
	MAT2d
	Bisector
	BRepMAT2d
	BRepCheck
	BRepBndLib
	BRepExtrema
	BRepClass
	BRepClass3d
	BRepLib
	BRepGProp
	BRepIntCurveSurface
	BRepTopAdaptor
	BRepBuilderAPI
	BRepApprox
)
set(TOOLKIT_DEPENDS
	TKMath
	TKernel
	TKG2d
	TKG3d
	TKGeomBase
	TKBRep
	TKGeomAlgo
)

include(../BuildToolkit.cmake)

=== debian/changelog ===
oce (0.17.1-1ubuntu0.1) xenial; urgency=medium

  * Backport 0.17-1-2 from Yakkety as an SRU, including changes:
    + Build-Depend on libfreeimageplus-dev instead of libfreeimage-dev
      in order to build with freeimage >= 3.17.0.
    + Rebuild against freeimage >= 3.17.0 to pick up correct library path
      in OCE04_VisualizationTargets-relwithdebinfo.cmake. (LP: #1556680)
    + Install files in /usr/lib/$(DEB_HOST_MULTIARCH)/oce-0.17. (LP: #1556685)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 22 May 2016 15:08:27 +0200

oce (0.17.1-2) unstable; urgency=medium

  * [c0ec604] Build against libfreeimageplus-dev. (Closes: #823839)

 -- Anton Gladky <gladk@debian.org>  Tue, 10 May 2016 22:33:27 +0200

oce (0.17.1-1) unstable; urgency=medium

  * Upload into unstable. Transition is not requested,
    because 2 of 3 deps require source-uploads.

 -- Anton Gladky <gladk@debian.org>  Fri, 29 Jan 2016 13:04:56 +0100

oce (0.17.1-1~exp1) experimental; urgency=medium

  * [d2d06db] Imported Upstream version 0.17.1
  * [a230bfd] Update install-files for 0.17.1
  * [5348aae] Apply cme fix dpkg.
  * [4d2f6d2] Remove menu-file.
  * [c046019] Add myself to uploaders.

 -- Anton Gladky <gladk@debian.org>  Thu, 28 Jan 2016 10:51:19 +0100

oce (0.15-8) unstable; urgency=medium

  * Team upload.
  * [98c68ad] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Mon, 25 Jan 2016 15:16:18 +0100

oce (0.15-7) unstable; urgency=medium

  * Team upload.
  * Disable BRepAlgoAPI test. (Closes: #798760)

 -- Anton Gladky <gladk@debian.org>  Thu, 08 Oct 2015 22:21:06 +0200

oce (0.15-6) unstable; urgency=medium

  * Team upload.
  * Disable BRepOffsetAPI unittest. (Closes: #778032)

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jul 2015 21:21:17 +0200

oce (0.15-5) unstable; urgency=medium

  * debian/patches/fix-Mesa-failures.patch: New patch, to fix
    FTBFS failures with recent Mesa.  Closes: #768750

 -- Denis Barbier <barbier@debian.org>  Mon, 10 Nov 2014 14:22:08 +0000

oce (0.16-2) experimental; urgency=medium

  * debian/liboce-foundation9.lintian-overrides: overrides
    binary-or-shlib-defines-rpath lintian warning, libTKernel.so has
    to dlopen shared libraries (a.k.a plugins) which have been put
    into a private repository.

 -- Denis Barbier <barbier@debian.org>  Tue, 22 Jul 2014 19:21:02 +0200

oce (0.16-1) experimental; urgency=medium

  * New upstream version.
  * debian/control: drop dependency on libxmu-dev, it is no more used.
  * debian/patches/NCollection-align-64bit.patch: Patch dropped,
    applied upstream.
  * debian/patches/include-oce-config.patch: Patch dropped, applied
    upstream.

 -- Denis Barbier <barbier@debian.org>  Sat, 19 Jul 2014 18:53:31 +0200

=== debian/control ===
Source: oce
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>,
           Denis Barbier <barbier@debian.org>,
           Anton Gladky <gladk@debian.org>
Section: science
XS-Autobuild: no
Priority: extra
Build-Depends: debhelper (>= 9),
               quilt,
               cmake,
               libx11-dev,
               libxext-dev,
               libfreetype6-dev,
               tcl8.5-dev,
               tk8.5-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgl2ps-dev,
               libfreeimageplus-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/oce.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/oce.git -b debian
Homepage: https://github.com/tpaviot/oce/wiki

Package: liboce-foundation10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package contains foundation classes which provide a variety of
 general-purpose services such as automated management of heap memory,
 exception handling, classes for manipulating aggregates of data, basic
 math tools.
 .
 This package contains the following shared libraries:
   TKernel TKMath TKAdvTools

Package: liboce-modeling10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package supplies data structures to represent 2D and 3D geometric models,
 as well as topological and geometrical algorithms.
 .
 This package contains the following shared libraries:
   TKG2d TKG3d TKGeomBase TKBRep TKGeomAlgo TKTopAlgo TKPrim TKBO TKHLR
   TKMesh TKShHealing TKXMesh TKBool TKFillet TKFeat TKOffset TKSTL
   TKXSBase TKSTEPBase TKIGES TKSTEPAttr TKSTEP209 TKSTEP

Package: liboce-visualization10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package provides services for displaying 2D and 3D graphics.
 .
 This package contains the following shared libraries:
   TKService TKV2d TKV3d TKOpenGl TKMeshVS TKNIS TKVRML TKVoxel

Package: liboce-ocaf-lite10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package is part of the OpenCASCADE Application Framework, it
 provides shared libraries which have no dependency against X11.
 .
 This package contains the following shared libraries:
   TKCDF PTKernel TKLCAF FWOSPlugin TKPShape TKBinL TKXmlL
   TKPLCAF TKTObj TKShapeSchema TKStdLSchema

Package: liboce-ocaf10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package provides OpenCASCADE Application Framework services and 
 support for data exchange.
 .
 This package contains the following shared libraries:
   TKCAF TKBin TKXml TKPCAF TKBinTObj TKXmlTObj TKStdSchema
   TKXCAF TKXCAFSchema TKXmlXCAF TKBinXCAF TKXDEIGES TKXDESTEP

Package: oce-draw
Architecture: any
Section: science
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libx11-dev,
         libfreetype6-dev,
         tcl8.5-dev,
         tk8.5-dev
Conflicts: opencascade-draw
Replaces: opencascade-draw
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package contains the DRAW test harness.

Package: liboce-foundation-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liboce-foundation10 (>= ${source:Upstream-Version}),
         liboce-foundation10 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Conflicts: libopencascade-foundation-dev
Replaces: libopencascade-foundation-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-foundation10.

Package: liboce-modeling-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liboce-foundation-dev (>= ${source:Upstream-Version}),
         liboce-foundation-dev (<< ${source:Upstream-Version}+1~),
         liboce-modeling10 (>= ${source:Upstream-Version}),
         liboce-modeling10 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Conflicts: libopencascade-modeling-dev
Replaces: libopencascade-modeling-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-modeling10.

Package: liboce-ocaf-lite-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liboce-foundation-dev (>= ${source:Upstream-Version}),
         liboce-foundation-dev (<< ${source:Upstream-Version}+1~),
         liboce-modeling-dev (>= ${source:Upstream-Version}),
         liboce-modeling-dev (<< ${source:Upstream-Version}+1~),
         liboce-ocaf-lite10 (>= ${source:Upstream-Version}),
         liboce-ocaf-lite10 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Conflicts: libopencascade-ocaf-lite-dev
Replaces: libopencascade-ocaf-lite-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-ocaf-lite10.

Package: liboce-ocaf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liboce-foundation-dev (>= ${source:Upstream-Version}),
         liboce-foundation-dev (<< ${source:Upstream-Version}+1~),
         liboce-modeling-dev (>= ${source:Upstream-Version}),
         liboce-modeling-dev (<< ${source:Upstream-Version}+1~),
         liboce-ocaf-lite-dev (>= ${source:Upstream-Version}),
         liboce-ocaf-lite-dev (<< ${source:Upstream-Version}+1~),
         liboce-visualization-dev (>= ${source:Upstream-Version}),
         liboce-visualization-dev (<< ${source:Upstream-Version}+1~),
         liboce-ocaf10 (>= ${source:Upstream-Version}),
         liboce-ocaf10 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Conflicts: libopencascade-ocaf-dev
Replaces: libopencascade-ocaf-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-ocaf10.

Package: liboce-visualization-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liboce-foundation-dev (>= ${source:Upstream-Version}),
         liboce-foundation-dev (<< ${source:Upstream-Version}+1~),
         liboce-modeling-dev (>= ${source:Upstream-Version}),
         liboce-modeling-dev (<< ${source:Upstream-Version}+1~),
         liboce-ocaf-lite-dev (>= ${source:Upstream-Version}),
         liboce-ocaf-lite-dev (<< ${source:Upstream-Version}+1~),
         liboce-visualization10 (>= ${source:Upstream-Version}),
         liboce-visualization10 (<< ${source:Upstream-Version}+1~),
         libx11-dev,
         libxmu-dev,
         libxext-dev,
         libfreetype6-dev,
         libgl1-mesa-dev | libgl-dev,
         libglu1-mesa-dev | libglu-dev,
         libgl2ps-dev,
         libfreeimage-dev,
         ${misc:Depends}
Conflicts: libopencascade-ocaf-lite-dev
Replaces: libopencascade-ocaf-lite-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-visualization10.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS   := $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
	export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
endif

%:
	dh $@ --buildsystem=cmake --parallel --with quilt

override_dh_auto_configure:
	# See in debian/patches/split-export.patch why we must ignore cmake return value
	-dh_auto_configure -- \
        -DFREETYPE_INCLUDE_DIR_freetype2=/usr/include/freetype2 \
        -DOCE_BUILD_SHARED_LIB:BOOL=ON \
        -DOCE_TESTING:BOOL=ON \
        -DOCE_USE_TCL_TEST_FRAMEWORK:BOOL=ON \
        -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
        -DOCE_INSTALL_PREFIX:PATH=/usr \
        -DOCE_INSTALL_LIB_DIR:PATH=lib/$(DEB_HOST_MULTIARCH) \
        -DOCE_INSTALL_CMAKE_DATA_DIR:PATH=lib/$(DEB_HOST_MULTIARCH)/oce-0.17 \
        -DOCE_DRAW:BOOL=ON \
        -DOCE_RPATH_FILTER_SYSTEM_PATHS:BOOL=ON \
        -DCMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES:STRING='/lib/$(DEB_HOST_MULTIARCH);/usr/lib/$(DEB_HOST_MULTIARCH)' \
        -DCMAKE_C_FLAGS_RELWITHDEBINFO:STRING='$(CFLAGS)' \
        -DCMAKE_CXX_FLAGS_RELWITHDEBINFO:STRING='$(CXXFLAGS)' \
        -DCMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO:STRING='$(LDFLAGS)' \
        -DCMAKE_EXE_LINKER_FLAGS_RELWITHDEBINFO:STRING='$(LDFLAGS)' \
        -DOCE_MULTITHREAD_LIBRARY:STRING=NONE \
        -DOCE_WITH_FREEIMAGE:BOOL=ON \
        -DOCE_WITH_GL2PS:BOOL=ON \
        -DDART_TESTING_TIMEOUT:STRING='3600'

override_dh_auto_install:
	dh_auto_install
	-mkdir debian/tmp/usr/include/oce/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/include/oce/oce_build_config.defs debian/tmp/usr/include/oce/$(DEB_HOST_MULTIARCH)/oce_build_config.defs
	-mkdir debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)
	rm debian/tmp/usr/include/oce/config.h
	mv debian/tmp/usr/include/oce/oce-config.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/
	# Improve integration in Debian desktop
	install -d debian/tmp/usr/share/applications
	cp -p debian/oce-draw.desktop debian/tmp/usr/share/applications/
	install -d debian/tmp/usr/share/pixmaps
	cp -p debian/occ-icon-32.xpm debian/tmp/usr/share/pixmaps/
	install -d debian/tmp/usr/share/man/man1
	# Install manual page
	cp -p debian/DRAWEXE.1 debian/tmp/usr/share/man/man1/
	find debian/tmp/usr/share -name FILES -exec rm -f {} \;

override_dh_install:
	dh_install --list-missing
	rm -rf debian/oce-draw/usr/include

override_dh_makeshlibs:
	dh_makeshlibs -Noce-draw

## oce 0.17.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 set(OCE_VERSION_MINOR 17)
 # OCE_VERSION_PATCH is used for bugfixes releases only
 # (uncomment following line)
-set(OCE_VERSION_PATCH 1)
+set(OCE_VERSION_PATCH 2)
 #  Empty for official releases, set to -dev, -rc1, etc for development releases
 set(OCE_VERSION_DEVEL)

=== test/CMakeLists.txt ===
#
# The OCE unittest framework use GoogleTest 1.7.0 (aka GTest)
# The GTest source code is available in the /test/gtest-1.7.0 folder
#
set(GTEST_ROOT ${CMAKE_CURRENT_SOURCE_DIR}/gtest-1.7.0)

include_directories(${GTEST_ROOT}/include ${GTEST_ROOT})
add_library(gtest STATIC ${GTEST_ROOT}/src/gtest-all.cc )
target_link_libraries(gtest ${CMAKE_THREAD_LIBS_INIT})

if (USE_SOLUTION_FOLDERS)
	set_target_properties(gtest PROPERTIES FOLDER "Tests" )
endif(USE_SOLUTION_FOLDERS)

# Fix for MSVC11
if(MSVC11)
	add_definitions("-D_VARIADIC_MAX=10")
endif()

# Copied from CMake
# Thanks to Daniel Blezek <blezek@gmail.com> for the gtest_add_tests code
function(gtest_add_tests executable extra_args)
	if(NOT ARGN)
		message(FATAL_ERROR "Missing ARGN: Read the documentation for gtest_add_tests")
	endif()
	foreach(source ${ARGN})
		file(READ "${source}" contents)
		string(REGEX MATCHALL "TEST_?F?\\(([A-Za-z_0-9 ,]+)\\)" found_tests ${contents})
		foreach(hit ${found_tests})
			string(REGEX REPLACE ".*\\( *([A-Za-z_0-9]+), *([A-Za-z_0-9]+) *\\).*" "\\1.\\2" test_name ${hit})
			add_test(NAME ${test_name} COMMAND ${executable} --gtest_filter=${test_name} ${extra_args})
		endforeach()
	endforeach()
endfunction()

macro(add_oce_test test_name libs)
	file(GLOB TEST_SOURCES *.cpp)
	set(SOURCE_FILES ${TEST_SOURCES})
	add_executable(${test_name} ${SOURCE_FILES})
	
	if (USE_SOLUTION_FOLDERS)
		set_target_properties(${test_name} PROPERTIES FOLDER "Tests" )
	endif(USE_SOLUTION_FOLDERS)
	
	set(TEST_DEPENDS_INCLUDE_DIRECTORIES)
	foreach(LIB ${libs})
		target_link_libraries(${test_name} ${LIB})
		set(TEST_DEPENDS_INCLUDE_DIRECTORIES ${TEST_DEPENDS_INCLUDE_DIRECTORIES} ${OCE_${LIB}_INCLUDE_DIRECTORIES})
	endforeach(LIB ${libs})
	if(TEST_DEPENDS_INCLUDE_DIRECTORIES)
		list(REMOVE_DUPLICATES TEST_DEPENDS_INCLUDE_DIRECTORIES)
		include_directories(${TEST_DEPENDS_INCLUDE_DIRECTORIES})
	endif(TEST_DEPENDS_INCLUDE_DIRECTORIES)
	
	if (OCE_COVERAGE)
		target_link_libraries(${test_name} gcov gtest)
	else (OCE_COVERAGE)
		target_link_libraries(${test_name} gtest)
	endif (OCE_COVERAGE)
	gtest_add_tests(${test_name} "" ${SOURCE_FILES})
endmacro(add_oce_test test_name libs)

file(GLOB TEST_DIRECTORIES ./*_test gtest_sandbox)
subdirs(${TEST_DIRECTORIES})

=== test/BRepPrimAPI_test/CMakeLists.txt ===
if (OCE_MODEL)
	add_oce_test(BRepPrimAPI_test "TKPrim")
endif (OCE_MODEL)

=== adm/cmake/TKLCAF/CMakeLists.txt ===
set(TOOLKIT TKLCAF)

set(TOOLKIT_MODULES
	TDF
	TDataStd
	TFunction
	TDocStd
	AppStdL
)
set(TOOLKIT_DEPENDS
	TKCDF
	TKernel
)

include(../BuildToolkit.cmake)

=== adm/cmake/TKSTEP209/CMakeLists.txt ===
set(TOOLKIT TKSTEP209)

set(TOOLKIT_MODULES
	StepElement
	StepFEA
	RWStepElement
	RWStepFEA
)
set(TOOLKIT_DEPENDS
	TKernel
	TKXSBase
	TKSTEPBase
)

include(../BuildToolkit.cmake)

=== debian/changelog ===
oce (0.17.2-2ubuntu2) artful; urgency=medium

  * Fix remaining build failure on i386 due to the wrong LD_LIBRARY_PATH.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Sep 2017 14:20:01 -0700

oce (0.17.2-2ubuntu1) artful; urgency=medium

  * Run dh_auto_test with LD_LIBRARY_PATH, so we find the local objects for
    dlopen.
  * debian/patches/no-xlocale.h-for-glibc-2.26.patch: Omit xlocale.h,
    not needed and not available in glibc 2.26.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Sep 2017 20:06:42 +0000

oce (0.17.2-2) unstable; urgency=medium

  [ Janus Weil ]
  * [c25582f] Prevent DRAWEXE from being added to OCE_LIBRARIES.

 -- Anton Gladky <gladk@debian.org>  Fri, 14 Apr 2017 22:35:14 +0200

oce (0.17.2-1) unstable; urgency=medium

  * [776089c] Imported Upstream version 0.17.2
  * [b7ab920] Refresh patches, remove old ones.

 -- Anton Gladky <gladk@debian.org>  Thu, 16 Jun 2016 23:05:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+UNAME := $(shell uname -m)
+DEBUG_PATH := obj-$(DEB_HOST_GNU_TYPE)/Unix/$(UNAME)-RelWithDebInfo-$(DEB_HOST_ARCH_BITS)
 
 ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
 	export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
@@ -59,3 +63,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Noce-draw
+
+override_dh_auto_test:
+	LD_LIBRARY_PATH=$(CURDIR)/$(DEBUG_PATH) dh_auto_test
